let origin = location.origin;
// Función para abrir el sidebar
function openSidebar() {
  document.querySelector(".sidebar").style.width = "250px";
  document.querySelector(".content").style.marginLeft = "250px";
}

// Función para cerrar el sidebar
function closeSidebar() {
  document.querySelector(".sidebar").style.width = "0";
  document.querySelector(".content").style.marginLeft = "0";
}

const DeleteRoute = async (e) => {
  const id = e.target.id;
  try {
    const res = await fetch(origin + "/admin/rutas/" + id, {
      method: "DELETE",
    });
    const json = await res.json();
    console.log(json);
  } catch (err) {
    console.log(err);
  }
};

const GetRoute = async (e) => {
  const id = e.target.id;
  const res = await fetch(origin + "/admin/rutas" + id);
};

const GetRoutes = async () => {
  const res = await fetch(origin + "/admin/rutas");
  const json = await res.json();
  console.log(json);
  $(document).ready(function () {
    $("#myTable").DataTable({
      paging: true,
      data: json,
      columns: [
        { data: "ruta_id" },
        { data: "titulo" },
        { data: "autor" },
        { data: "tipo_ruta" },
        { data: "descripcion" },
        { data: "deptos" },
        { data: "distancia" },
        { data: "lat" },
        { data: "lng" },
        { data: "salida" },
        { data: "llegada" },
        { data: "ruta" },
        {
          data: null, // Puedes usar null si no tienes un campo específico en los datos
          render: function (data, type, row) {
            // Aquí puedes personalizar el contenido de la columna de botones
            return `<button id='${data.ruta_id}' class="btn btn-edit">Editar</button>
                  <button id='${data.ruta_id}' class="btn btn-delete">Eliminar</button>`;
          },
        },
      ],
      columnDefs: [
        {
          targets: -1, // Última columna (donde están los botones)
          orderable: false, // Evita que la columna sea ordenable
          searchable: false, // Evita que la columna sea searchable
        },
      ],
    });
  });
};

GetRoutes();
// Evento click para el botón de menú (toggle-btn)
document.querySelector(".toggle-btn").addEventListener("click", function () {
  if (document.querySelector(".sidebar").style.width === "250px") {
    closeSidebar();
  } else {
    openSidebar();
  }
});

// Evento resize para cerrar el sidebar si la pantalla es más pequeña
window.addEventListener("resize", function () {
  if (window.innerWidth <= 768) {
    closeSidebar();
  }
});

window.addEventListener("DOMContentLoad", function () {
  GetRoutes();
  if (window.innerWidth <= 768) {
    closeSidebar();
  }
});
